Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.record.meta
Class StructTypeID

    java.lang.Object
      org.apache.hadoop.record.meta.TypeID
          org.apache.hadoop.record.meta.StructTypeID

    public class StructTypeID

extends TypeID

Represents typeID for a struct

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.record.meta.TypeID
`TypeID.RIOType`

Field Summary

Fields inherited from class org.apache.hadoop.record.meta.TypeID
`BoolTypeID, BufferTypeID, ByteTypeID, DoubleTypeID, FloatTypeID, IntTypeID, LongTypeID, StringTypeID, typeVal`

Constructor Summary
`StructTypeID(RecordTypeInfo rti)` Create a StructTypeID based on the RecordTypeInfo of some record

Method Summary
`Collection<FieldTypeInfo>` | `getFieldTypeInfos()`

Methods inherited from class org.apache.hadoop.record.meta.TypeID
`equals, getTypeVal, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StructTypeID

    public StructTypeID(RecordTypeInfo rti)

  Create a StructTypeID based on the RecordTypeInfo of some record

Method Detail

### getFieldTypeInfos

    public Collection<FieldTypeInfo> getFieldTypeInfos()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation